package com.supermap.sample.serviceprovider;

import com.supermap.services.components.commontypes.Layer;
import com.supermap.services.components.commontypes.LayerType;
import com.supermap.services.components.commontypes.Rectangle2D;

 /**
 * <p>
 * ArcGIS离散缓存图层
 * </p>
 * <p>
 * ArcGIS discrete buffer layer
 * </p>
 *
 */
public class ArcGISExplodedCacheMapLayer extends Layer {
    private static final long serialVersionUID = 1L;

    /**
     * <p>
     * 无参构造函数
     * </p>
     * 定义图层类型为定制图层
     * <p>
     * Non-parameter constructor
     * </p>
     * Define the layer as custom layer
     */
    public ArcGISExplodedCacheMapLayer() {
        this.type = LayerType.CUSTOM;
    }

    /**
     * <p>
     * 拷贝Layer对象
     * </p>
     * <p>
     * Copy Layer
     * </p>
     */
    @Override
    public Layer copy() {
        ArcGISExplodedCacheMapLayer arcgisLayer = new ArcGISExplodedCacheMapLayer();
        arcgisLayer.name = this.name;
        arcgisLayer.type = this.type;
        arcgisLayer.bounds = new Rectangle2D(this.bounds);
        arcgisLayer.caption = this.caption;
        arcgisLayer.visible = this.visible;
        return arcgisLayer;
    }

}
