package com.supermap.sample.serviceprovider;

import com.supermap.services.components.spi.MapProviderSetting;

/**
 * <p>
 * ArcGIS离散缓存  地图服务提供者配置
 * </p>
 * <p>
 * ArcGISMapProviderSetting 提供了需要配置的缓存路径，与可以配置的地图名称
 * </p>
 * <p>
 * ArcGIS disperse cache  Map service provider configuration
 * </p>
 * <p>
 * ArcGISMapProviderSetting provides the cache path and the available map name
 * </p>
 */
public class ArcGISExplodedCacheMapProviderSetting extends MapProviderSetting {
    private static final long serialVersionUID = 1L;
    private String cachePath;
    private String mapName;

    /**
     * <p>
     * 获取地图名。
     * </p>
     * <p>
     * Get the map name.
     * </p>
     * @return 地图名。
     * <p>
     * Map name.
     * </p>
     */
    public String getMapName() {
        return mapName;
    }

    /**
     * <p>
     * 设置地图名。
     * </p>
     * <p>
     * Set the map name.
     * </p>
     */
    public void setMapName(String mapName) {
        this.mapName = mapName;
    }

    /**
     * <p>
     * 获取缓存路径。
     * </p>
     * <p>
     * Get the cache path.
     * </p>
     * @return 缓存路径。
     * <p>
     * cache path.
     * </p>
     */
    public String getCachePath() {
        return cachePath;
    }

    /**
     * <p>
     * 设置缓存路径。
     * </p>
     * <p>
     * Set the cache path.
     * </p>
     */
    public void setCachePath(String cachePath) {
        this.cachePath = cachePath;
    }
}
